%define kernel_version 2.6.18
%define kernel_release 194.32.1.el5
%define kernel_fullname %{kernel_version}-%{kernel_release}

%define perl_version      5.8.8
%define perl_prefix       /usr/lib64/perl5
%define perl_arch         x86_64-linux-thread-multi
%define global_perl       %{perl_prefix}/lib/%{perl_version}
%define global_perl_arch  %{global_perl}/%{perl_arch}
%define site_perl         %{perl_prefix}/site_perl/%{perl_version}
%define site_perl_arch    %{site_perl}/%{perl_arch}
%define perl_binary       %{perl_prefix}/bin/perl



Summary: PF_RING is a new type of network socket that dramatically improves the packet capture speed
Name: pfring
Version: 4.6.1.r4527
Release: 1.ru
License: GPL
Group: Other
Source0: pf_ring-4.6.1.tar.gz
URL: http://www.ntop.org/PF_RING.html
BuildRoot: %{_tmppath}/%{name}-root
BuildRequires: kernel-devel = 2.6.18-194.32.1.el5
BuildRequires: kernel = 2.6.18-194.32.1.el5
BuildRequires: bison gcc-c++ libtool automake autoconf flex
BuildRequires: perl = %{perl_version}
Requires: kernel = %{kernel_version}
Conflicts: libpcap
Provides: libpcap

%description

%prep
%setup -q -n PF_RING
sed -i 's|/usr/src/linux-headers-%{kernel_fullname}|/usr/src/kernels/%{kernel_fullname}|g' kernel/Makefile


%build
make

%install

mkdir -p $RPM_BUILD_ROOT/usr/src/linux-headers-%{kernel_fullname}/include/linux


cd kernel
make DESTDIR="$RPM_BUILD_ROOT" install
cd ..

cd drivers
#make DESTDIR="$RPM_BUILD_ROOT" install
cd ..

#cd legacy
#make DESTDIR="$RPM_BUILD_ROOT" install
#cd ..

userland_paths=(libpcap-1.1.1-ring perl/Net-Pfring tcpdump-4.1.1)

cd userland
for path in ${userland_paths[@]}; do
	pushd .
	cd $path
	make DESTDIR="$RPM_BUILD_ROOT"  install
	popd
done
cd ..

rm "$RPM_BUILD_ROOT"/%{perl_prefix}/%{perl_version}/%{perl_arch}/perllocal.pod
rm "$RPM_BUILD_ROOT"/%{site_perl_arch}/auto/Net/Pfring/.packlist


%clean
rm -rf %{buildroot}

%post 
echo "/usr/local/lib" >> /etc/ld.so.conf
ldconfig

%postun 

%files 
%defattr(-, root, root)
/lib/modules/%{kernel_fullname}/kernel/net/pf_ring/pf_ring.ko
%{site_perl_arch}/Net/Pfring.pm
%{site_perl_arch}/auto/Net/Pfring/*
/usr/local/bin/pcap-config
/usr/local/include/pcap-bpf.h
/usr/local/include/pcap-namedb.h
/usr/local/include/pcap.h
/usr/local/include/pcap/*
/usr/local/lib/libpcap.*
/usr/local/sbin/tcpdump
/usr/local/sbin/tcpdump.4.1.1
/usr/local/share/man/man1/pcap*
/usr/local/share/man/man1/tcpdump.1
/usr/local/share/man/man3/pcap*
/usr/local/share/man/man5/pcap*
/usr/local/share/man/man7/pcap*
/usr/share/man/man3/Net::Pfring.3pm.gz
/usr/src/linux-headers-%{kernel_fullname}/include/linux/pf_ring.h

%changelog
* Wed Mar 23 2011 Jarek Sedlacek <jarek@nbcs.rutgers.edu> - 4.6.1-r4527-1.ru
- Initial Build
